---
search:
  tags:
    - Boards
    - GET
seo:
  description: >-
    Returns the public status of a board: whether it is online and which game
    is… Reference for the GET /boards/{id} endpoint in the dartpilot Public API.
sidebar:
  label: Get board status
  badge: GET
title: Get board status
type: openapi-operation
---
Returns the public status of a board: whether it is online and which game is currently active on it. Unknown or deleted boards return `404`.

`GET /boards/{id}`

**Responses**

- `200` — The board status.
- `400` — Invalid request.
- `401` — Missing or invalid API key.
- `403` — The API key is missing a required scope or is the wrong type for this endpoint.
- `404` — Entity not found.
- `429` — Rate limit exceeded. See the \`Retry-After\` header.
- `500` — Internal server error.

Response example, 200:

```json
{
  "exists": true,
  "online": true,
  "currentGameId": "string"
}
```
